import java.io.*;
import java_cup.runtime.*;

%%

%unicode
%cup

nl = \n|\r|\n\r
tipo = void|byte|int|char|float|double
id = [A-Za-z]([A-Za-z_]|[0-9])*

%%

";" {System.out.println("PUNTO-VIRGOLA: "+yytext());return new Symbol(sym.PV);}
"," {System.out.println("VIRGOLA: "+yytext());return new Symbol(sym.V);}
"(" {System.out.println("TONDA APERTA: "+yytext());return new Symbol(sym.TONDAA);}
")" {System.out.println("TONDA CHIUSA: "+yytext());return new Symbol(sym.TONDAC);}
"{" {System.out.println("GRAFFA APERTA: "+yytext());return new Symbol(sym.GRAFFAA);}
"}" {System.out.println("GRAFFA CHIUSA: "+yytext());return new Symbol(sym.GRAFFAC);}

{tipo} {System.out.println("TIPO: "+yytext());return new Symbol(sym.TIPO);}


{id} {System.out.println("ID: "+yytext());return new Symbol(sym.ID);}

{nl}|" " {;} 
